echo off
textmode
:1
TEXTMODE
IMG.COM
show-gif virtuad.gif
key

:A
textmode
SEGA1.com
key fbmE
if errorlevel 4 goto z
if errorlevel 3 goto m
IF ERRORLEVEL 2 GOTO 1
IF ERRORLEVEL 1 GOTO 2

:2
textmode
img.com
show-gif 3axis.gif
key

:B
textmode
SEGA2.com
key fbME
if errorlevel 4 goto Z
if errorlevel 3 goto M
IF ERRORLEVEL 2 GOTO 2
IF ERRORLEVEL 1 GOTO 3

:3
textmode
img.com
show-gif maglev.gif
delay-kb
pal-gif maglev.gif
delay-kb

:C
textmode
SEGA3.com
key fBME
if errorlevel 4 goto z
if errorlevel 3 goto m
if errorlevel 2 goto 3
if errorlevel 1 goto d

:d
textmode
sega4.com
key fbme
if errorlevel 4 goto z
if errorlevel 3 goto m
if errorlevel 2 goto c
if errorlevel 1 goto m

:m
vr.bat


:Z
exit